> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Review every canonical doc against the brain

> Kick off one review per canonical doc. Returns all PROCESSING reviews.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /context-documents/reviews/all
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /context-documents/reviews/all:
    post:
      tags:
        - Context Documents
      summary: Review every canonical doc against the brain
      description: Kick off one review per canonical doc. Returns all PROCESSING reviews.
      operationId: start_review_all_context_documents_reviews_all_post
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkReviewResponse'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    BulkReviewResponse:
      properties:
        reviews:
          items:
            $ref: '#/components/schemas/ReviewResponse'
          type: array
          title: Reviews
      type: object
      title: BulkReviewResponse
    ReviewResponse:
      properties:
        id:
          type: integer
          title: Id
        canonical_title:
          type: string
          title: Canonical Title
        status:
          type: string
          title: Status
        model:
          type: string
          title: Model
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        suggestion_count:
          type: integer
          title: Suggestion Count
        evidence_count:
          type: integer
          title: Evidence Count
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - canonical_title
        - status
        - model
        - error
        - suggestion_count
        - evidence_count
        - created_at
        - completed_at
      title: ReviewResponse
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````